module.exports = (api, { componentName }) => {

  api.extendPackage({
    name: componentName,
    main: `dist/${componentName}.umd.js`,
    module: `dist/${componentName}.common.js`,
    files: [
      "dist/*.css",
      "dist/*.map",
      "dist/*.js",
    ],
    scripts: {
      serve: "vue-cli-service serve ./example/main.js --open",
      build: `vue-cli-service build --target lib --name ${componentName} --entry ./src/index.js`,
    },
    private: false,
    keywords: [
      "vue",
      "component"
    ]
  })

  const hasTest = api.hasPlugin('unit-mocha') || api.hasPlugin('unit-jest')
  api.render('./template', { hasTest })

  api.postProcessFiles(files => {
    const immutableFiles = ['src/components/HelloWorld.vue', 'src/index.js']

    const updateFiles = require('./updateFiles')

    updateFiles(files, /^src\//, 'example/', (file) => immutableFiles.indexOf(file) !== -1)
    updateFiles(files,  /\/HelloWorld\./, `/${componentName}.`)
  })
}
